## IT - Long Term Biosignals Framework

[![Test Biosignals Package](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-biosignals-package.yml/badge.svg?branch=main&event=push)](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-biosignals-package.yml)
 [![Test Processing Package](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-processing-package.yml/badge.svg)](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-processing-package.yml)
[![Features](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-features-package.yml/badge.svg)](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-features-package.yml)
[![Machine Learning](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-ml-package.yml/badge.svg)](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-ml-package.yml)
[![Decision](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-decision-package.yml/badge.svg)](https://github.com/jomy-kk/IT-PreEpiSeizures/actions/workflows/test-decision-package.yml)
[![Pipeline](https://github.com/jomy-kk/IT-LongTermBiosignals/actions/workflows/test-pipeline-package.yml/badge.svg)](https://github.com/jomy-kk/IT-LongTermBiosignals/actions/workflows/test-pipeline-package.yml)
[![Integration Tests](https://github.com/jomy-kk/IT-LongTermBiosignals/actions/workflows/test-integration.yml/badge.svg)](https://github.com/jomy-kk/IT-LongTermBiosignals/actions/workflows/test-integration.yml)

#### Description
Python library for easy managing and processing of large Long-Term Biosignals.
This repository is object of evaluation of some Master's and Doctoral's theses.

#### Language and Dependencies
Developed and tested on Python 3.10.4. See Python dependencies in `requirements.txt`, and install the following on your machine if needed:
* `graphviz` to plot Pipeline diagrams (`sudo apt-get install graphviz` or `brew install graphviz`)
* `h5py` to read HDF5 files if running on an Apple Sillicon machine (`brew install hdf5 && export HDF5_DIR=/opt/homebrew/bin/brew/Cellar/hdf5/<version>`)

#### Contribute!

* 🪲 Report bugs <a href="https://github.com/jomy-kk/IT-LongTermBiosignals/issues/new?assignees=jomy-kk&labels=fix&template=bug_report.md&title=%5BBUG%5D+Write+a+title+here">here</a>.
* 💡 Suggest features <a href="https://github.com/jomy-kk/IT-LongTermBiosignals/issues/new?assignees=jomy-kk&labels=enhancement&template=feature_request.md&title=%5BNEW%5D+Write+a+title+here">here</a>.
* 💬 Community Q&A <a href="https://github.com/jomy-kk/IT-LongTermBiosignals/discussions/categories/q-a">here</a>.

#### Documentation

📑 Acess to the <a href="https://github.com/jomy-kk/IT-LongTermBiosignals/wiki">Wiki</a>.

Full reference documentarion comming soon.

## Getting Started

________

## Copyright Notice

There is no license for the content of this repository.

2022, All rights reserved. This means content of this repository cannot be reproduced nor distributed, and no work can be derived from this work without explicit and written permission from the authors.
